<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="catalog-page border-top">

        <!-- <FiltersTop :sortOptions="sortOptions">
            <a href="#" class="button button-default button-black rounded" title="Add">
                <i class="icon-add"></i> Add Term
            </a>
            <div class="filters-top-totals"><b>1211 Terms</b> available</div>
        </FiltersTop> -->

        <Datatable :data="data">
            <button class="button button-secondary orange rounded">
                Add Term
            </button>
            <div class="filters-top-totals"><b>1211 Terms</b> available</div>
        </Datatable>
    </div>
    
</template>
<script setup lang="ts">
import type DataTableI from '~/interfaces/datatable';

const data = ref<DataTableI>({
    options: {
        tableName: 'glossary-table',
        detailsPath: 'glossary/',
        allowCheckRow: true,
        favourites: true,
        previewComponent: 'GlossaryDetails',
    },
    columns: [
        {
            id: 1,
            name: 'name',
            label: 'Name',
            width: '100px'
        },
        {
            id: 2,
            name: 'group',
            label: 'Group',
            width: '180px'
        },
        {
            id: 3,
            name: 'domain',
            label: 'Domain',
            width: '180px'
        },
        {
            id: 4,
            name: 'description',
            label: 'Description',
            width: '180px'
        },
        {
            id: 5,
            name: 'edited_at',
            label: 'Edited at',
            width: '160px'
        },
        {
            id: 6,
            name: 'actions',
            label: 'Actions',
            width: '80px',
            hideLabel: true
        }
    ],
    rows: [
        {
            id: 1,
            name: 'Regression Analysis',
            group: 'Data Science/ Analytics',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01 22:43',
            actions: ''
        },
        {
            id: 2,
            name: 'Convolutional Neural Network (CNN)',
            group: 'Technology/Computing',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01  22:43',
            actions: ''
        },
        {
            id: 3,
            name: 'Blockchain Technology',
            group: 'Technology/Computing',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01  22:43',
            actions: ''
        },
        {
            id: 4,
            name: 'Epidemiology',
            group: 'Technology/Computing',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01  22:43',
            actions: ''
        },
        {
            id: 5,
            name: 'Supply Chain Management',
            group: 'Technology/Computing',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01  22:43',
            actions: ''
        },
        {
            id: 6,
            name: 'Structural Engineering',
            group: 'Technology/Computing',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01  22:43',
            actions: ''
        },
        {
            id: 7,
            name: 'Sustainable Development',
            group: 'Technology/Computing',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01  22:43',
            actions: ''
        },
        {
            id: 8,
            name: 'Natural Language Processing (NLP)',
            group: 'Technology/Computing',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01  22:43',
            actions: ''
        },
        {
            id: 9,
            name: 'Time Series Analysis',
            group: 'Technology/Computing',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01  22:43',
            actions: ''
        },
        {
            id: 10,
            name: 'Principal Component Analysis (PCA)',
            group: 'Technology/Computing',
            domain: 'Mathematics/ Data Science',
            description: 'Lorem ipsum dolor sit amet, consectetur adipiscing...',
            edited_at: '2022-01-01  22:43',
            actions: ''
        }
    ]
});

const sortOptions = ref(['Last modified first', 'Last modified last', 'Option 3']);

</script>